#
# spec file for package plasmoid-webcamoid
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:                plasmoid-webcamoid
Version:             5.0.0b2
Release:             1.4
License:             GPL-3.0+
Summary:             Webcam plasmoid for KDE
Group:               System/GUI/KDE
Source:              https://github.com/hipersayanX/Webcamoid/archive/v%{version}.tar.gz
Url:                 http://kde-apps.org/content/show.php?content=144796
BuildRequires:       libkde4-devel
BuildRequires:       libqt4-devel
BuildRequires:       gcc gcc-c++
BuildRequires:       bison
BuildRequires:       flex
BuildRequires:       glibc-devel
BuildRequires:       desktop-file-utils
BuildRequires:       hicolor-icon-theme
BuildRequires:       pkgconfig(frei0r)
BuildRequires:       pkgconfig(qimageblitz)
BuildRequires:       pkgconfig(libv4l2)
BuildRequires:       libffmpeg-devel
%if 0%{?suse_version} > 1140
BuildRequires:       perl-Text-Markdown
%endif
BuildRequires:       fdupes
Requires:            frei0r-plugins
BuildRoot:           %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Webcam plasmoid for KDE desktop environment.

Features:
* Take pictures with the webcam.
* Record videos.
* Manages multiple webcams.
* Play/Stop capture, this saves resources while the plasmoid is not in use.
* Written in C++.
* 100% Qt based software, for KDE/Qt purists.
* Custom controls for each webcam.
* Popup applet support (you can embed Webcamoid in the panel).
* Add funny effects to the webcam (requires Frei0r plugins and QImageBlitz).
* +50 effects available.
* Effects with live previews.
* Translated to many languages.
* Stand alone installation mode (use it as a normal program).
* Use custom network and local files as capture devices.
* Capture from desktop.

%package devel
Summary:        Development headers and libraries for Webcamoid
Group:          Development/Libraries/C and C++
Requires:       plasmoid-webcamoid = %{version}

%description devel
Development headers and libraries for Webcamoid.

%prep
%setup -q -n Webcamoid-%{version}

%build
qmake Webcamoid.pro \
    LIBDIR=%{_libdir} \
    USE3DPARTYLIBS=0 \
    LICENSEDIR=%{_defaultdocdir}/webcamoid \
    QMAKE_LRELEASE=%{_bindir}/lrelease
make

%if 0%{?suse_version} > 1140
# generate help file
Markdown.pl --html4 README.md > README.html
%endif

%install
make INSTALL_ROOT="%{buildroot}" install

%kde_post_install

%fdupes %{buildroot}%{_datadir}

desktop-file-edit %{buildroot}%{_kde4_applicationsdir}/webcamoid.desktop --remove-category=KDE --add-category=Video --add-category=Player

rm -rf %{buildroot}%{_datadir}/licenses/

%post
/sbin/ldconfig
%icon_theme_cache_post
%desktop_database_post
 
%postun
/sbin/ldconfig
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%if 0%{?suse_version} > 1140
%doc AUTHORS ChangeLog README.html THANKS COPYING
%else
%doc AUTHORS ChangeLog README.md THANKS COPYING
%endif
%{_bindir}/webcamoid
%{_kde4_servicesdir}/plasma-applet-webcamoid.desktop
%{_kde4_applicationsdir}/webcamoid.desktop
%{_libdir}/Qb/
%{_libdir}/kde4/plasma_applet_webcamoid.so
%{_libdir}/lib*Qb.so.*
%{_libdir}/libWebcamoid.so.*
%{_datadir}/webcamoid
%{_datadir}/webcamoid/tr/

%files devel
%defattr(-,root,root,-)
%{_includedir}/Qb/
%{_libdir}/*.so

%changelog
* Mon Feb 10 2014 mailaender@opensuse.org
- Update to version 5.0.0b2
* Fri May  3 2013 fa0sck@gmail.com
- spec for openSUSE build changes:
  + Installpath all lowercase (patch)
  + Install under kde4_appsdir
  + generate help file
  + refresh translations
  + actually register plasmoid inside kde4_servicesdir
  + fix categories for desktop file
* Sun Oct 14 2012 mailaender@opensuse.org
- initial packaging
